Google Web Toolkit (Beta)
Search this site:

# Interface HasVerticalAlignment

public interface HasVerticalAlignment
// Extended by `HasAlignment`
Characteristic interface which indicates that a widget has an associated vertical alignment.

## Nested Classes

HasVerticalAlignment.VerticalAlignmentConstant | Horizontal alignment constant.

## Fields

ALIGN_BOTTOM | Specifies that the widget's contents should be aligned to the bottom.
ALIGN_MIDDLE | Specifies that the widget's contents should be aligned in the middle.
ALIGN_TOP | Specifies that the widget's contents should be aligned to the top.

## Methods

getVerticalAlignment() | Gets the vertical alignment.
setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant) | Sets the vertical alignment.

## Field Detail

### ALIGN_BOTTOM

public static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_BOTTOM
Specifies that the widget's contents should be aligned to the bottom.

### ALIGN_MIDDLE

public static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_MIDDLE
Specifies that the widget's contents should be aligned in the middle.

### ALIGN_TOP

public static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_TOP
Specifies that the widget's contents should be aligned to the top.

## Method Detail

### getVerticalAlignment

public HasVerticalAlignment.VerticalAlignmentConstant getVerticalAlignment()
Gets the vertical alignment.

#### Return Value

the current vertical alignment.

### setVerticalAlignment

public void setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant align)
Sets the vertical alignment.

#### Parameters

align
  the vertical alignment ( HasVerticalAlignment.ALIGN_TOP, HasVerticalAlignment.ALIGN_MIDDLE, or HasVerticalAlignment.ALIGN_BOTTOM).